Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface Polygon

All Superinterfaces:
  GenericSurface, SurfacePatch

All Known Subinterfaces:
  Triangle

    @UML(identifier="GM_Polygon",
         specification=ISO_19107)
    public interface Polygon

extends SurfacePatch

A surface patch that is defined by a set of boundary curves and an underlying surface to which these curves adhere. The default is that the curves are coplanar and the polygon uses planar interpolation in its interior.

Since:
  GeoAPI 2.0
Version:
  ISO 19107
See Also:
  `GeometryFactory.createPolygon(SurfaceBoundary)`, `GeometryFactory.createPolygon(SurfaceBoundary,Surface)`

Method Summary
`SurfaceBoundary` | `getBoundary()` The surface boundary that is the boundary of this polygon.
`List<Surface>` | `getSpanningSurface()` Provides a mechanism for spanning the interior of the polygon.

Methods inherited from interface SurfacePatch
`getInterpolation, getNumDerivativesOnBoundary, getSurface`

Methods inherited from interface GenericSurface
`getArea, getPerimeter, getUpNormal`

Method Detail

### getBoundary

    @UML(identifier="boundary",
         obligation=MANDATORY,
         specification=ISO_19107)
    SurfaceBoundary getBoundary()

  The surface boundary that is the boundary of this polygon. The boundary of a surface patch need not be in the same complex as the containing surface. The curves that are contained in the interior of the surface (act as common boundary to 2 surface patches) are not part of any complex in which the surface is contained. They are purely constructive and would not play in any topological relation between surface and curve that defines the connectivity of the complex.

  Specified by:
    `getBoundary` in interface `SurfacePatch`
  Returns:
    The boundary of this `SurfacePatch`

### getSpanningSurface

    @UML(identifier="spanningSurface",
         obligation=OPTIONAL,
         specification=ISO_19107)
    List<Surface> getSpanningSurface()

  Provides a mechanism for spanning the interior of the polygon. The spanning surface should have no boundary components that intersect the boundary of the polygon, and there should be no ambiguity as to which portion of the surface is described by the bounding curves for the polygon. The most common spanning surface is an elevation model, which is not directly described in this standard, although tins and gridded surfaces are often used in this role.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.